Re: Problem collapsing with IE

Home \ forums/reply
#1429

Michael Gilkes
Keymaster

@agussol. Thanks for posting. I have been meaning to put this as an FAQ item. Here’s the explanation of what is happening:

It seems as though the problem is that IE9 is incompatible with mootools versions 1.1 and 1.2 (up to 1.2.4). If you click F12 and select “Console”, then refresh the page with the listing, you will see the following error come up: “SCRIPT5022: DOM Exception: INVALID_CHARACTER_ERR (5) mootools.js, line 1 character 21432”

Here is a discussion about the problem: http://mootools-users.660466.n2.nabble.com/Moo-mootools-and-ie9-some-relavant-bug-td6172026.html

Here is a possible solution: http://www.youjoomla.com/joomla-1.5-moo-1.2.4-and-ie9-bug-fix.html

So, the problem is not with my plugin, as you can see from the error itself and the same problem that others have experienced. Maybe you should consider to upgrade to Joomla 2.5 soon, since Joomla 1.5 will reach the end of its life in April 2012. However, if you want to stay with Joomla 1.5, you should upgrade to the latest minor release, 1.5.25, which provides Mootools version 1.2.5 (which I believe should work).

Anyways, I hope my analysis can help you.